---
agentTools:
  projectIndex: https://docs.cancergenomicscloud.org/llms.txt
---

# Get details of a move job

This call gets the details of an asynchronous bulk copy job. This information will be available for up to a month after the job has been completed.

[block:api-header]
{
  "type": "basic",
  "title": "Request"
}
[/block]

[block:code]
{
  "codes": [
    {
      "code": "https://cgc-api.sbgenomics.com/v2/async/files/move/{jobid}",
      "language": "text",
      "name": "Path  "
    }
  ]
}
[/block]

[block:api-header]
{
  "type": "basic",
  "title": "Example request",
  "sidebar": true
}
[/block]

[block:code]
{
  "codes": [
    {
      "code": "GET /v2/async/files/move/71721891234547584\nHost: cgc-api.sbgenomics.com\nX-SBG-Auth-Token: 3210a98c1db9318fa9d9273156740f74",
      "language": "http",
      "name": null
    },
    {
      "code": "curl -X GET \\\n  https://cgc-api.sbgenomics.com/v2/async/files/move/71721891234547584 \\\n  -H 'Content-Type: application/json' \\\n  -H 'X-SBG-Auth-Token: 3210a98c1db9318fa9d9273156740f74' \\",
      "language": "curl",
      "name": "cURL"
    }
  ],
  "sidebar": true
}
[/block]

\###Header Fields

[block:parameters]
{
  "data": {
    "h-0": "Name",
    "h-1": "Description",
    "0-0": "`X-SBG-Auth-Token`\n*required*",
    "0-1": "Your CGC [authentication token](https://docs.cancergenomicscloud.org/docs/get-your-authentication-token).",
    "h-2": "",
    "1-0": "`Content-Type`\n*required*",
    "1-1": "`application/json`"
  },
  "cols": 2,
  "rows": 2
}
[/block]

### Query parameters

[block:parameters]
{
  "data": {
    "h-0": "Key",
    "h-1": "Data type",
    "h-2": "Description",
    "0-0": "`ID`\n_required_",
    "0-1": "string",
    "0-2": "The ID of the move job you are querying. This ID can be found within the API response for the call for moving files."
  },
  "cols": 3,
  "rows": 1
}
[/block]

[block:code]
{
  "codes": [
    {
      "code": "{\n  \"items\": [\n    {\n      \"file\": \"568e69abe9b0307bc0412345\",\n      \"parent\": \"\",\n      \"project\": \"rfranklin/destination-project\",\n      \"name\": \"my-new-file\"\n    },\n    {\n      \"file\": \"568e69abe9b0307bc0498765\",\n      \"parent\": \"\",\n      \"project\": \"rfranklin/destination-project\",\n      \"name\": \"\"\n    },\n    {\n      \"file\": \"568e69abe9b0307bc0414164\",\n      \"parent\": \"\",\n      \"project\": \"rfranklin/destination-project\",\n      \"name\": \"\"\n    }\n  ]\n}",
      "language": "json",
      "name": "Example request body"
    }
  ]
}
[/block]

[block:api-header]
{
  "type": "basic",
  "title": "Response"
}
[/block]

[See a list of specific response codes that may be contained in the body of the response.](https://docs.cancergenomicscloud.org/reference/api-status-codes)

## Response body

[block:parameters]
{
  "data": {
    "0-0": "`id`",
    "h-0": "Key",
    "h-1": "Data type",
    "h-2": "Description",
    "0-1": "string",
    "0-2": "ID of this move job",
    "1-0": "`result`",
    "2-0": "`type`",
    "3-0": "`state`",
    "4-0": "`failed_files`",
    "5-0": "`completed_files`",
    "6-0": "`total_files`",
    "7-0": "`started_on`",
    "8-0": "`finished_on`",
    "1-1": "string",
    "2-1": "string",
    "3-1": "string",
    "4-1": "string",
    "5-1": "string",
    "6-1": "string",
    "7-1": "string",
    "8-1": "string",
    "1-2": "The result of the move job.",
    "2-2": "The type of job which is MOVE.",
    "3-2": "The following states are available:\n\nSUBMITTED\nRESOLVING\nRUNNING\nFINISHED",
    "4-2": "The number of files that failed to move.",
    "5-2": "The number of files that were successfully moved.",
    "6-2": "The total number of files that were processed during the job.",
    "7-2": "The time and date the move job started.",
    "8-2": "The time and date the move job has finished."
  },
  "cols": 3,
  "rows": 9
}
[/block]

[block:code]
{
  "codes": [
    {
      "code": "\n{\n    \"href\": \"https://cgc-api.sbgenomics.com/v2/async/files/move/71721891234547584\",\n    \"id\": \"71721891234547584\",\n    \"result\": [\n        {\n            \"resource\": {\n                \"href\": \"https://cgc-api.sbgenomics.com/v2/files/568e69abe9b0307bc0412345\",\n                \"id\": \"568e69abe9b0307bc0412345\"\n            }\n        },\n        {\n            \"resource\": {\n                \"href\": \"https://cgc-api.sbgenomics.com/v2/files/568e69abe9b0307bc0498765\",\n                \"id\": \"568e69abe9b0307bc0498765\"\n            }\n        },\n        {\n            \"resource\": {\n                \"href\": \"https://cgc-api.sbgenomics.com/v2/files/568e69abe9b0307bc0414164\",\n                \"id\": \"568e69abe9b0307bc0414164\"\n            }\n        }\n    ],\n    \"type\": \"MOVE\",\n    \"state\": \"FINISHED\",\n    \"failed_files\": 0,\n    \"completed_files\": 3,\n    \"total_files\": 3,\n    \"started_on\": \"2019-02-21T10:32:21Z\",\n    \"finished_on\": \"2019-02-21T10:32:22Z\"\n}\n",
      "language": "json",
      "name": "Example response body"
    }
  ],
  "sidebar": true
}
[/block]